GetBandwidthUsageHistory
GET
/billing/v1/bandwidth-usage/historyQuery Parameters
org_id?org_id
The org_id query parameter.
days?days
The days query parameter.
Format
int32Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.GetBandwidthUsageHistoryResponse",
"$ref-value": {
"type": "object",
"properties": {
"usages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/billing.v1.BandwidthUsage",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"snapshot_date": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "snapshot_date"
},
"total_bandwidth_bytes": {
"type": "string",
"examples": [
"1073741824"
],
"title": "total_bandwidth_bytes",
"format": "int64"
},
"video_bandwidth_bytes": {
"type": "string",
"examples": [
"1073741824"
],
"title": "video_bandwidth_bytes",
"format": "int64"
},
"image_bandwidth_bytes": {
"type": "string",
"examples": [
"1073741824"
],
"title": "image_bandwidth_bytes",
"format": "int64"
},
"total_requests": {
"type": "string",
"examples": [
"5"
],
"title": "total_requests",
"format": "int64"
},
"unique_visitors": {
"type": "string",
"examples": [
"5"
],
"title": "unique_visitors",
"format": "int64"
},
"snapshot_type": {
"type": "string",
"title": "snapshot_type"
},
"video_requests": {
"type": "string",
"examples": [
"5"
],
"title": "video_requests",
"format": "int64"
},
"image_requests": {
"type": "string",
"examples": [
"5"
],
"title": "image_requests",
"format": "int64"
},
"data_source": {
"type": "string",
"title": "data_source"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "BandwidthUsage",
"additionalProperties": false
}
},
"title": "usages"
},
"total": {
"type": "integer",
"examples": [
"5"
],
"title": "total",
"format": "int32"
}
},
"title": "GetBandwidthUsageHistoryResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/billing/v1/bandwidth-usage/history"Success
application/json
{
"$ref": "#/components/schemas/billing.v1.GetBandwidthUsageHistoryResponse",
"$ref-value": {
"type": "object",
"properties": {
"usages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/billing.v1.BandwidthUsage",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"snapshot_date": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "snapshot_date"
},
"total_bandwidth_bytes": {
"type": "string",
"examples": [
"1073741824"
],
"title": "total_bandwidth_bytes",
"format": "int64"
},
"video_bandwidth_bytes": {
"type": "string",
"examples": [
"1073741824"
],
"title": "video_bandwidth_bytes",
"format": "int64"
},
"image_bandwidth_bytes": {
"type": "string",
"examples": [
"1073741824"
],
"title": "image_bandwidth_bytes",
"format": "int64"
},
"total_requests": {
"type": "string",
"examples": [
"5"
],
"title": "total_requests",
"format": "int64"
},
"unique_visitors": {
"type": "string",
"examples": [
"5"
],
"title": "unique_visitors",
"format": "int64"
},
"snapshot_type": {
"type": "string",
"title": "snapshot_type"
},
"video_requests": {
"type": "string",
"examples": [
"5"
],
"title": "video_requests",
"format": "int64"
},
"image_requests": {
"type": "string",
"examples": [
"5"
],
"title": "image_requests",
"format": "int64"
},
"data_source": {
"type": "string",
"title": "data_source"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "BandwidthUsage",
"additionalProperties": false
}
},
"title": "usages"
},
"total": {
"type": "integer",
"examples": [
"5"
],
"title": "total",
"format": "int32"
}
},
"title": "GetBandwidthUsageHistoryResponse",
"additionalProperties": false
}
}